Bug 168490 - ltrace kills process that you are trying to trace
ltrace kills process that you are trying to trace
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ltrace (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Machata
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2005-09-16 13:06 EDT by Todd Warfield
Modified: 2015-05-04 21:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-23 10:14:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Todd Warfield 2005-09-16 13:06:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
Using ltrace to trace a process, the process is killed during the trace with a SIGSEGV.

SYS_futex(0x82123d4, 0, 1, 0, 1)                 = -4
+++ killed by SIGSEGV +++

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.running websphere60 
2.ltrace -p <PID>


Actual Results:  see the following:

SYS_futex(0x82123d4, 0, 1, 0, 1)                 = -4
+++ killed by SIGSEGV +++

Expected Results:  Should keep tracing the process and not kill it.

Additional info:
Comment 1 Petr Machata 2007-05-23 10:14:49 EDT
This can happen in multithreaded program, and the fact that it dies right after
futex syscall indicates that much.  This is not a bug, but missing feature:
ltrace doesn't grok threads, and probably will not in its current form.

Note You need to log in before you can comment on or make changes to this bug.